const allRules = [];
const sSheetList = document.styleSheets;
const icons = []

for (let sSheet = 0; sSheet < sSheetList.length; sSheet++) {
    const ruleList = document.styleSheets[sSheet].cssRules;
    for (let rule = 0; rule < ruleList.length; rule++) {
        if (ruleList[rule].constructor.name == "CSSStyleRule" && ruleList[rule].styleMap.size == 1) {
            allRules.push(ruleList[rule].selectorText);
        }
    }
}
allRules.map((rule) => {
    let flatClass = rule.replace("::before", "")
    icons.push(flatClass)
})
const addClickAndCopy = (e) => {
    if (e.target.classList.value == "") {
        const text = e.target.textContent.replace(".", "")
        navigator.clipboard.writeText(text);
        showNotification(text)
    } else if (e.target.classList.value == "card") {
        const icon = e.target.firstChild
        const text = icon.classList.value
        navigator.clipboard.writeText(text);
        showNotification(text)
    } else {
        const text = e.target.classList.value
        navigator.clipboard.writeText(text);
        showNotification(text)
    }
}
const loadIcons = () => {
    const container = document.querySelector("#icons")
    icons.map((e) => {
        let divIcon = document.createElement("div");
        let divCard = document.createElement("div");
        divIcon.classList.add("icon")
        divCard.classList.add("card")

        let iconImg = document.createElement("span");
        let iconName = document.createElement("p");
        iconImg.className = e.replace(".", "")
        iconName.textContent = e
        divCard.appendChild(iconImg)
        // divCard.appendChild(iconName)
        divIcon.appendChild(divCard)
        divIcon.appendChild(iconName)
        // divIcon.appendChild(iconImg)
        // divIcon.appendChild(iconName)
        container.appendChild(divIcon)
    })
    const cards = document.querySelectorAll(".card")
    cards.forEach(element => {
        element.addEventListener("click", addClickAndCopy)
    });
}

document.addEventListener("DOMContentLoaded", loadIcons);
